<?php

namespace Service;

use Doctrine\ORM\EntityManager;
use Util\InstanceProvider;

class TaskType {

    private $entityManager;
    private $environment;

    /**
     * TaskTracking constructor.
     * @param EntityManager $entityManager
     */
    public function __construct(EntityManager $entityManager)
    {   
        $this->environment = InstanceProvider::getEnvironment();
        $this->entityManager = $entityManager;
    }

    public function findTaskType() {
		return InstanceProvider::getRepository()->getLocalTaskType()->findTaskType($this->environment->getCurrentOrganizationId());
	}

}