<?php

namespace Repository;

use Util\InstanceProvider;
use Teknisa\Model\Traits\TQuery;

class StructureConfiguration
{

    use TQuery;

    public function getEntityManager(){
        return InstanceProvider::getEntityManager();
    }

    public function findStructureConfiguration($nrorg)
    {

        $query = <<<SQL
        SELECT * FROM STRUCTURE_TYPE WHERE ORGANIZATION = :organizationId
SQL;

        $params = array(
            "organizationId" => $nrorg
        );    
        return $this->createAndExecuteQueryAndBuildResponseData(InstanceProvider::getEntityManager(), $query, $params);


    }

   

}